Subject: Survey on Chinese Word Processors on Macintosh (revised on 7/2/90)

From: Kang Sun <[email-masked]>
Date: Tue, 3 Jul 90 01:19:02 EDT

Greetings,

        Someone asked early today about my survey on Chinese Word
Processors on Macintosh and I promised to send it to him as soon as I
dig it out. I revised it a little and maybe some of you will be
interested in it as well. So here it goes.

-- Kang Sun
   Yale University
   Department of Electrical Engineering
   Center for Systems Science
   P.O.Box 1968, Yale Station
   New Haven, CT 06520-1968
   [email-masked]

=======================

                A SURVEY ON CHINESE WORD PROCESSORS

                                Sun, Kang

Part II: Chinese Word Processors for Macintosh (revised on 7/2/90)

Finally I got a chance to continue my survey on Chinese Word
Processors. Since the Mac's are relative new monsters, there are not many
choices available. I hereby review the three products that I have heard of.

A. Fei1 Ma3 (Flying Horse): It is the earlist CWP for Mac that I
ever heard. Developed by a Mr. Wu at Boston, it is very well protected both
technically and politically, in spite of many drawbacks it has. For the
good parts, it support Pin Yin plus tone inputs of  simplified characters,
along with other ways of inputs, such as Chinese Typewriter style Character
Board, and even "drawing and find" method, for those who cannot master Pin
Yin. The best thing I like about it is its capability of creating your own
characters, so you can invent your own character if needed. The major
drawbacks, which I cannot tolerate, is that it only runs on two floppy
disks. The Flying Horse won't fly on your luxury hard disk. The second
problem is it can only print on imagewriters, because it does not support
LaserWriter. After all, I feel that Flying Horse is not very Mac-like and is
 isolated from all the HiTechs.

B. MacChinese: This is noting but a set of fonts and a glossary
file for Microsoft Word. You know how to use MS Word, do you? In MS Word,
you can store your frequently used strings in a glossary files and give it
a short name. Then when you need this string, simply recall it out from the
glossary file with its name. This is exact trick it is played here. There
are about ten fonts, each contains hundreds of characters. Each character
is encoded with Pin Yin according to its Cantonese pronounciation (Yes!
Cantonese!). For the characters with the same sounds, two digits are used
to distinguish it. For example, the character Wang (King) is encoded as
"wang12", which means it is the 12th "wang"-sound character. One inputs the
whole text by manipulating with the glossary file. Since it is inside MS
WORD, all the standard MS WORD and Mac system functionalities are
preserved. I heard there is a version based on standard mandarine pronouciation,
 but I never see one.

C. Chinese Talk (ZhongWen talk or HanZi Talk): I have quite a lot
to say about this. Chinse Talk it more than just a Word Processor; It is
indeed a Chinese Operating System. Let me put it this way. Suppose computer
technology was all invented in China by Chinese and that Chinese is the
only language in the world, what do you think you will see on the screen
when you boot up your Mac? Instead of seeing FILE EDIT etc on the menu bar,
you will see in Chinese Wen2 Jian4, Bian1 Ji2, etc. Well, this is what a
"Chinese System" does and indeed you see this when you boot up Chinese Talk.

If you are a sophiscated Mac user, then you probably know that
Macintosh gives you a lot of ways to customize your application and even
systems to your own taste, or modify even totally change certain
funcionalities of the system by so-called "patching it". Chinese Talk was
develovped by patching the standard Macintosh system. First, the functions
related to the storage and display of fonts are patched so that it
recognize Chinese. Then, the functions relating to keyboard inputs are
patched to allow Pin Yin or other mode of Chinese Character inputs.
Finally, all the strings in menus and dialogs re-writen with Chinese. A
Chinese system was then obtained, which differs from the standard System only
in the way of keyboard inputs and fonts display. All the other features,
such as printing, highlight, cut and paste, justifying etc are well
preserved.

There are two mutually incompativle versions: Bejing version and
Taipei version.  Taipei version uses the complicated Chinese Characters and
supports its Taiwan style Pin Yin, which is rather troublesome to those
from mainland China; I believe it also support some other input method, but not
 Pin Yin. Beijing version uses simplified characters and
Pin Yin input mode. One types in the Pin Yin code and the tone of a character,
then chooses from the prompted list of matching characters. The official release
 also supports some other input method, such as input by internal code, but not
 entry by works. Luckily, Ed Lai from Apple ([email-masked]) has added a the
 feature of entry by words, and it works fine on my Mac+.

Utilities has also been written, by, I believe, [email-masked] to
 convert files from Taipei version format to Beijing version format and vice
 versa. If you like comlex characters but prefer Pin Yin input mode, you can
"re-index" the Taibei fonts to make them work with Beijing version of Chinese
 Talk.

Since it is a "Chinese System", vs an application as Fei Ma is,
in principle, all the standard Macitosh application can work upon it, or at
 least they suppose to work. Apple has tried to make it as compatible to all the
 software and hardware as possible. Most applications will not bomb under the
 system unless they require high version of system to function. And you can type
  Chinese in quite a lot of applications. Here is a list of applications I have
 tested working under Chinese Talk.

MacWrite, SuperPaint, MacProject, MacPaint, PageMaker, ReadySetGo
4.0, HyperCard (if you have enough memory) etc, and you will have no
problem until the time you want to do editing (e.g. cut, copy, past, and
insert). Somehow, it is not very friendly with MicroSoft products, such as
MS WORD and MS EXCEL. The reason is that Apple has developed a standard
 interface for international languages, which is called "script manager",
 however, most software developers are not following this standard, thus produce
 problems. TeachText is the only commonly available application that follows the
 standard and thus, work perfectly. But, you cannot do much with it, can you?
 More complicated applications that support script manager is availble but quite
 expensive. You can get AllScript (a word processor) for $350 or so.

I especially appreciate the feature that it works with HyperCard. You need
 computer not only for editing papers, do you? What about your note card? Now
 you can maintain your address/phone book, note book both in English and
 Chinese.

The current vocabulary consists all the characters in the first
two list of PRC National Standard of Chinese Characters for Communication.
It only supports one font, Bejing 12 (a 16 point font). But one can alway
stretch or shrink a character using the font size function. You can modify
 existing characters or add new characters; There's no way to assign a Pin Yin
 code to added characters, which are only accessible via internal coes.

 Version (1.0) does not work on Mac II or SE30. The most recent version, version
 5.1, is equivalent to English Mac System 5.1, except it does nt support
 multifinder. You can buy it from

           Apple Programmers and Developers Association
           (800)282-1010